Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362660 - [RFE] - list all the puppet modules version provide by an environment/life cycle
Summary: [RFE] - list all the puppet modules version provide by an environment/life cycle
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Content Views
Version: 6.1.9
Hardware: x86_64
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 19:15 UTC by Eric Beaudoin
Modified: 2018-09-04 19:13 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-04 19:13:24 UTC


Attachments (Terms of Use)
Satellite 6.2.1: Searching for where puppet module is published (deleted)
2016-08-26 18:44 UTC, Brad Buckingham
no flags Details

Description Eric Beaudoin 2016-08-02 19:15:08 UTC
1. Proposed title of this feature request  
  list all the puppet modules version provide by an environment/life cycle
 
2. Who is the customer behind the request?  
	Account: 706215, 5426852
	TAM customer: Yes
	Strategic: Yes
      
3. What is the nature and description of the request?  
- While publishing new version of a puppet module, and promoting it into life cycle, we need to a simple view (or an extract) of which environment is still using the older version of a puppet module. Currently, we have to dig all around to retreive that information, not found and easy way. We end of with puppet modules not being promote in some environment until someone notice it. It.

- we need a way to see or query where each version are in use.  a csv file would do if we get this info.
      
4. Why does the customer need this? (List the business requirements here)  
	- Improve user experiance
        - Verify/Remove the older puppet module version from the CV/CCV     

5. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
	No
      
6. Does the customer have any specific timeline dependencies and which release would they like to target ? 
	As soon as possible

7. Is the sales team involved in this request and do they have any additional input?  
	  No

8. Would the customer be able to assist in testing this functionality if implemented?  
	 Yes

Comment 1 Brad Buckingham 2016-08-26 18:43:27 UTC
In Satellite 6.2.1, the following option is available from the UI:

- go to Content -> Puppet Modules

- perform a search for the specific module:  e.g. enter the following in search input:
  name = dhcp and author = theforeman and version =  1.3.1

- click enter or "Search"

- click on the name of the module (e.g. 'dhcp')

- click on Content Views tab

  - From here, you can now view the list of content views and lifecycle environments where that puppet module has been published.

Attaching a screenshot as an example.

Comment 2 Brad Buckingham 2016-08-26 18:44:00 UTC
Created attachment 1194441 [details]
Satellite 6.2.1: Searching for where puppet module is published

Comment 8 Bryan Kearney 2018-09-04 19:01:07 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 9 Bryan Kearney 2018-09-04 19:13:24 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in the product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.


Note You need to log in before you can comment on or make changes to this bug.